HomeGuidesReference↗ Forage Dashboard
Log In
Reference

Update an OrderPayment - legacy

Outdated Endpoint

This is a legacy endpoint.

Send a PATCH to update an OrderPayment.

Fully Hosted and Custom Integration Only

This endpoint is only relevant to Fully Hosted and Custom integrations.

If you’re building with a Forage SDK, then use the Payments endpoints.

OrderPayment Updates Must Be Server-Side

To keep your app secure, requests to update an OrderPayment should only be generated on the server-side.

A POST request to /orders/{order_ref}/payments/{payment_ref}/ updates an existing OrderPayment. On success, the API responds with the OrderPayment.

The status property of the OrderPayment determines what data can be updated. If the status is processing, cancelled, or succeeded, then only the following OrderPayment fields can be modified:

  • metadata
  • external_order_id

Forage ignores attempts to update other fields.

In the case of a failed status, this endpoint can be used to set an updated payment_method and then reattempt the charge.

Path Params
string
required

A unique reference hash for the Forage Order object, returned when the order’s parent Session was created.

string
required

A unique reference hash for the Forage OrderPayment object, returned when the OrderPayment was created.

Body Params

This object represents a one-time payment, charged to a single payment method, associated with a specific Forage Order.

string
enum
required
Defaults to ebt_snap

A string that represents the type of tender. One of:

  • benefit
  • credit_tpp
  • ebt_cash
  • ebt_snap
Allowed:
number
required
Defaults to 25.99

A positive decimal number that represents how much to charge the PaymentMethod in USD. Precision is supported to the penny.

This value must match the ebt_cash_total or snap_total value that was passed in the request that created the Custom Capture Session, depending on the funding_type.

If you need to charge both funding types, then create an OrderPayment for each charge, using the same order_ref returned when the order's parent Payment Capture Session was created.

The minimum amount that can be charged is 0.01.

string
required
Defaults to An EBT payment

A string that describes the OrderPayment.

metadata
object
required

A required object containing merchant-defined key-value pairs to provide additional context for the payment.

Merchants should use this field to store reference information relevant to the transaction (for example, order details, system identifiers, or tracking data). This helps link the payment to records within their system.

Pass an empty object ({}) if no additional information is available.

Personally Identifiable Information

Do not include personally identifiable information (PII) such as names, emails, or payment details.

string
required
Defaults to b16673fe21

The unique reference hash for the existing Forage PaymentMethod that is to be charged in this transaction.

string
length ≤ 64

⚠️ If you’re integrating Forage with a POS Terminal, then do not use this param. It is only supported for online transactions.

A unique identifier for the end customer making the payment.

Forage automatically adds the customer_id to the Session's corresponding Order and OrderPayments.

This field helps Forage's servers more quickly identify the customer associated with the request. While customer_id is not technically required, if you omit it then requests could take longer to process. It is strongly recommended to pass customer_id.

If you're providing your internal customer ID, then we recommend that you hash the value before sending it on the payload.

Each customer should only have one unique customer_id. For example, if you create both a PaymentMethod and a Forage Session (Fully Hosted or Custom) or Payment (SDK) for the same customer, then the customer_id should be the same in both requests to ensure continuity of stored payment methods.

string
length ≤ 64

A unique identifier for the order as created by the merchant or platform (not Forage).

When a merchant or platform passes this order ID to Forage, it persists in each Forage transaction related to the Order. This field enables merchants to map order IDs in their system to corresponding Forage Order IDs.

You must build with Forage Version 2023-05-15 or later to use external_order_id. Either pass 2023-05-15 as the API-Version header on a per request basis, or set the version for all requests in the Forage dashboard.

number

The fixed amount in USD that should be restored to the merchant from EBT Cash payments prior to splitting by the platform_fee. Precision is supported to the penny.

number

The fixed amount in USD that should be restored to the platform from EBT Cash payments prior to splitting by the platform_fee. Precision is supported to the penny.

string

A unique identifier, provided by the merchant or platform (not Forage), that indicates the physical fulfillment location for the order. For example, this field could specify which location of a grocery store chain fulfilled an order.

Headers
string
required

An OAuth 2.0 authentication token that validates the request. Send a POST to the /o/token/ endpoint to generate an authentication token. Pass the token in this header after the word Bearer and a whitespace, for example Bearer <api_key>.

string
required

A unique merchant ID that Forage provides during onboarding, as in 123ab45c67. The Merchant ID can be found in the Forage sandbox or production dashboard.

string

The Forage version, represented as a string with the format of a YYYY-MM-DD date.

If not specified in the request header, then the version defaults to the value set in the Forage dashboard.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Choose an example:
application/json